# NX 2412
# Journal created by antoi on Fri Nov 21 10:00:35 2025 Eastern Standard Time
#
import math
import NXOpen
import NXOpen.CAE
import NXOpen.Fields
def main(args) : 

    theSession  = NXOpen.Session.GetSession() #type: NXOpen.Session
    workSimPart = theSession.Parts.BaseWork
    displaySimPart = theSession.Parts.BaseDisplay
    probes1 = [NXOpen.CAE.ResultProbe.Null] * 1 
    fieldManager1 = workSimPart.FindObject("FieldManager")
    resultProbe1 = fieldManager1.FindObject("ResultProbe")
    probes1[0] = resultProbe1
    theSession.ResultManager.ExportProbesToFieldFile(probes1, "C:\\Users\\antoi\\Documents\\Atomaste\\Atomizer\\examples\\Models\\Bracket\\export_field_dz.fld")
    
    # ----------------------------------------------
    #   Menu: Tools->Automation->Journal->Stop Recording
    # ----------------------------------------------
    
if __name__ == '__main__':
    main(sys.argv[1:])